#compdef xfstests.zsh

function _xfstests.zsh() {
	_arguments \
		{-c,--client}'[the client to test]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		{-k,--scratch}'[the exported scratch directory on the server]: : _files -/' \
		{-p,--mountpoint}'[the directory to mount the server]: : _files -/' \
		{-r,--rdma}'[test using rdma]: :(rxe siw)' \
		{-q,--scratchmnt}'[the directory to mount the scratch export]: : _files -/' \
		{-s,--server}'[the server to test against]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		\*{-v,--version}+'[the nfs version to test (default=all)]: :(3 4.0 4.1 4.2)' \
		{-x,--export}'[the exported directory on the server]: : _files -/'
}
