#!/bin/zsh

BIN=$HOME/bin
SCRIPTS=(grub-list.zsh setup-testdirs.zsh \
	 setup-xfstests.zsh run-xfstests.zsh)

function install_script() {
	ssh $1 mkdir -p bin/
	echo -n "$2 Copying files ..."
	for script in $SCRIPTS; do
		scp -q $BIN/$script $1:bin/
	done
	echo " done"
}

tags=($(python $BIN/colors/vm.py $*))
for ((i=1; i<=${#@}; i++)); do
	install_script ${@[i]} ${tags[i]}
done
